Name: libomxil-e9110-v4l2
Summary: OpenMAX IL for e9110-v4l2
Version: 0.0.2
License: Apache-2.0
Group: Development/Libraries
Release: 3
ExclusiveArch: %arm
Source: %{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
#!BuildIgnore: linux-glibc-devel
BuildRequires:  kernel-headers-exynos9110-tw3
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(exynos-common)
BuildRequires:  pkgconfig(libtbm)

%description
implementation of OpenMAX IL for e9110-v4l2 for TW3

%package devel
Summary: OpenMAX IL for e9110-v4l2 (Developement)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
development package for libomxil-e9110-v4l2

%prep
%setup -q

%build
./autogen.sh

export CFLAGS+=" -mfpu=neon\
 -DUSE_DLOG\
 -DTIZEN_OMXIL_COMMERCIAL_FEATURE\
 -DGST_EXT_TIME_ANALYSIS"

LDFLAGS+="-Wl,--rpath=%{_prefix}/lib -Wl,--hash-style=both -Wl,--as-needed"; export LDFLAGS
%configure --prefix=%{_prefix} --disable-static --enable-dlog --enable-exynos9110

#make %{?jobs:-j%jobs}
make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/license
%make_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%manifest libomxil-e9110-v4l2.manifest
/usr/lib/*.so*
/usr/lib/omx/libOMX.Exynos.AVC.Decoder.so
/usr/lib/omx/libOMX.Exynos.AVC.Encoder.so
/usr/lib/omx/libOMX.Exynos.MPEG4.Decoder.so
/usr/lib/omx/libOMX.Exynos.MPEG4.Encoder.so
/usr/lib/omx/libOMX.Exynos.MPEG2.Decoder.so
/usr/lib/omx/libOMX.Exynos.WMV.Decoder.so
/usr/lib/omx/libOMX.Exynos.HEVC.Decoder.so
/usr/lib/omx/libOMX.Exynos.HEVC.Encoder.so
/usr/lib/omx/libOMX.Exynos.VP8.Decoder.so
/usr/lib/omx/libOMX.Exynos.VP8.Encoder.so
%license COPYING

%files devel
/usr/include/*
/usr/lib/pkgconfig/*

